require 'util'

animspeed = 0.03;
templateFrame = {
  filename = "__Electrogun__/graphics/beam/Allbeams-horizontal2.png",
  line_length = 10,
  frame_count = 10,
  width = 32,
  height = 16,
  priority = "high",
  animation_speed = animspeed,
  scale = 1.4,
  blend_mode = "additive-soft"
}

frameContainer = {};
headAndTailFrame = {
  filename = "__Electrogun__/graphics/beam/Allbeams-horizontal2.png",
  line_length = 10,
  frame_count = 10,
  width = 32,
  height = 16,
  priority = "high",
  --animation_speed = animspeed,
  scale = 1.4,
  blend_mode = "additive-soft"
}
j = 10;
for i=1031,1040,1 do
	curFrame = table.deepcopy(templateFrame);
	--curFrame.filename = "__Electrogun__/graphics/beam/GTA2_"..i..".png";
	curFrame.x = (10-j)*32;
	j=j-1;
	table.insert(frameContainer,curFrame);
end

data:extend({
{
    type = "beam",
    name = "electrogun-beam",
    flags = {"not-on-map"},
    width = 1,
	rotate = true,
    damage_interval = 1000,
	light = {intensity = 0.5, size = 10},
    action =
    {
      type = "direct",
      action_delivery =
      {
        type = "instant",
        target_effects =
        {
          {
            type = "damage",
            damage = { amount = 10, type = "electric"}
          }
        }
      }
    },
    head = headAndTailFrame,
	--[[
    {
	  filename = "__Electrogun__/graphics/beam/Allbeams-horizontal2.png",
	  line_length = 16,
	  frame_count = 10,
	  width = 32,
	  height = 16,
	  priority = "high",
	  animation_speed = animspeed,
	  --blend_mode = "additive-soft"
	},
	]]--
    tail = headAndTailFrame,
    body = frameContainer
}
})