require("beams")
require("recipes")
require("technology")
require("items")

--sound for electrocution
data:extend({
    {
        type = "explosion",
        name = "electrocution-sound",
        flags = {"not-on-map"},
        animations = {
            {
                filename = "__core__/graphics/empty.png",
                priority = "low",
                width = 1,
                height = 1,
                frame_count = 1,
                line_length = 1,
                animation_speed = 1
            }
        },
        light = {intensity = 0, size = 0},
        sound = {
            {
                filename = "__Electrogun__/sound/electrocuted.wav",
                volume = 0.4
            }
        }
    }
})