require 'util'

data:extend({

--electro gun itself
	{
		type="gun",
		name="electro-gun",
		subgroup="gun",
		stack_size = 1,
		icon = "__Electrogun__/graphics/icons/Electrogun.png",
		flags = {"goes-to-main-inventory"},
		attack_parameters =
		{
			type = "projectile",
			ammo_category = "electric",
			cooldown = 20,
			movement_slow_down_factor = 0.3,
			projectile_center = {0, 0},
			projectile_creation_distance = 0.65,
			range = 10,
			--sound needs to be cyclical so it isn't a huge jumble when continuously firing
			cyclic_sound =
			  {
				begin_sound =
				{
				  {
					filename = "__Electrogun__/sound/gunsound.wav",
					volume = 0.7
				  }
				},
				middle_sound =
				{
				  {
					filename = "__Electrogun__/sound/gunsound.wav",
					volume = 0.7
				  }
				},
				end_sound =
				{
				  {
					filename = "__Electrogun__/sound/gunsound.wav",
					volume = 0.7
				  }
				}
			  }
		},
	},
	
	--electro gun ammo?
	{
    type = "ammo",
    name = "electro-gun-cable",
    icon = "__Electrogun__/graphics/icons/ammo.png",
    flags = {"goes-to-main-inventory"},
    ammo_type =
    {
	  type = "projectile",
      category = "electric",
	  speed = 10,
      action =
      {{
        type = "area",
		perimeter = 5,
        action_delivery = {
--[[
		  {
          type = "instant",
          source_effects =
          {
            type = "create-explosion",
            entity_name = "explosion-gunshot"
          },
          target_effects = {
                {
                  type = "create-sticker",
                  sticker = "stun-sticker"
                },

				{
				  type = "damage",
				  damage = { amount = 1, type = "electric"}
				}},
			},
]]--
		  {
			type = "beam",
			beam = "electrogun-beam",
			max_length = 50,
			duration = 15,
			source_offset = {0, -0.5},
			add_to_shooter = false
		  }
        }
      }}
    },
    magazine_size = 40,
    subgroup = "ammo",
    order = "a-b-c-d",
    stack_size = 200
  }
})