data:extend({
	{
		type = "technology",
		name = "electrocution-tech",
		icon = "__Electrogun__/graphics/Electrogun-Tech.png",
		icon_size = 128,
		effects =
		{
		  {
			type = "unlock-recipe",
			recipe = "electro-gun"
		  },
		  {
			type = "unlock-recipe",
			recipe = "electro-gun-cable"
		  }
		},
		prerequisites = {"military-2"},
		unit =
		{
		  count = 50,
		  ingredients =
		  {
			{"science-pack-1", 2},
			{"science-pack-2", 2},
			{"science-pack-3", 2},
			{"military-science-pack", 2}
		  },
		  time = 30
		},
		order = "e-g"
	},
	{
		type = "technology",
		name = "electrogun-damage-1",
		icon = "__Electrogun__/graphics/Electrogun-Damage-Tech.png",
		icon_size = 128,
		effects =
		{
		  {
			type = "ammo-damage",
			ammo_category = "electric",
			modifier = 0.2
		  }
		},
		prerequisites = {"electrocution-tech"},
		unit =
		{
		  count = 50,
		  ingredients =
		  {
			{"science-pack-1", 1},
			{"science-pack-2", 1},
			{"military-science-pack", 2}
		  },
		  time = 30
		},
		upgrade = true,
		order = "e-n-a"
  },
  {
		type = "technology",
		name = "electrogun-damage-2",
		icon = "__Electrogun__/graphics/Electrogun-Damage-Tech.png",
		icon_size = 128,
		effects =
		{
		  {
			type = "ammo-damage",
			ammo_category = "electric",
			modifier = 0.2
		  }
		},
		prerequisites = {"electrogun-damage-1"},
		unit =
		{
		  count = 80,
		  ingredients =
		  {
			{"science-pack-1", 1},
			{"science-pack-2", 1},
			{"science-pack-3", 1},
			{"military-science-pack", 1}
		  },
		  time = 30
		},
		upgrade = true,
		order = "e-n-a"
  },
  {
		type = "technology",
		name = "electrogun-damage-3",
		icon = "__Electrogun__/graphics/Electrogun-Damage-Tech.png",
		icon_size = 128,
		effects =
		{
		  {
			type = "ammo-damage",
			ammo_category = "electric",
			modifier = 0.2
		  }
		},
		prerequisites = {"electrogun-damage-2"},
		unit =
		{
		  count = 150,
		  ingredients =
		  {
			{"science-pack-1", 1},
			{"science-pack-2", 1},
			{"science-pack-3", 1},
			{"military-science-pack", 1}
		  },
		  time = 30
		},
		upgrade = true,
		order = "e-n-a"
  },
  {
    type = "technology",
    name = "electrogun-damage-4",
    icon = "__Electrogun__/graphics/Electrogun-Damage-Tech.png",
	icon_size = 128,
    effects =
    {
      {
        type = "ammo-damage",
        ammo_category = "electric",
        modifier = 0.2
      }
    },
    prerequisites = {"electrogun-damage-3"},
    unit =
    {
      count_formula = "2^(L-3)*200",
      ingredients =
      {
        {"science-pack-1", 1},
        {"science-pack-2", 1},
        {"science-pack-3", 1},
        {"military-science-pack", 1},
        {"high-tech-science-pack", 1},
      },
      time = 30
    },
    max_level = "infinite",
    upgrade = true,
    order = "e-n-g-d"
  },
})